%global _hardened_build 1
%global commit0 82352e50f99dcccf7f5613594e821886f1158581
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global debug_package %{nil}

Summary:	A multi-purpose tool for manipulating .woz disk images
Name:		wozardry
Version:	2.0git%{shortcommit0}
Release:	3%{?dist}
License:	MIT
URL:		https://github.com/a2-4am/wozardry
Source0:	https://github.com/a2-4am/wozardry/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
BuildArch:      noarch

Requires:       python3
Requires:       python3-bitarray

%description
A multi-purpose tool for manipulating Apple .woz disk images.

%prep
%autosetup -n %{name}-%{commit0}

%build
echo "Nothing to see, move along..."

%install
install -D -m755 wozardry.py %{buildroot}/%{_bindir}/wozardry

%files
%doc README.md
%license LICENSE
%{_bindir}/wozardry

%changelog
* Wed Jun 01 2022 Greg Wildman <greg@techno.co.za> - 2.0git03e7bdc-3
- Update to latest commit.

* Thu Jul 18 2019 Greg Wildman <greg@techno.co.za> - 2.0-2
- As this is just a python3 tool we do not need an architecture
- specific build.

* Sun Apr 21 2019 Greg Wildman <greg@techno.co.za> - 2.0-1
- Update version.

* Fri Oct 26 2018 Greg Wildman <greg@techno.co.za> - 1.0-1
- Initial spec.
